using Seasar.Dao.Attrs;

namespace Bellmonzo.Koubai.Logics.Dto
{
    [Table("T_JOURNAL")]
    public class JournalDto
    {
        [Column("ID")]
        public int ID { get; set; }

        [Column("JOURNAL_YEAR")]
        public int? JournalYear { get; set; }

        [Column("JOURNAL_MONTH")]
        public int? JournalMonth { get; set; }

        [Column("JOURNAL_DAY")]
        public int? JournalDay { get; set; }

        [Column("DEBIT_PRICE")]
        public int? DebitPrice { get; set; }

        [Column("DEBIT_CODE")]
        public int? DebitCode { get; set; }

        [Column("DEBIT_NAME")]
        public string DebitName { get; set; }

        [Column("SUBDEBIT_CODE")]
        public int? SubDebitCode { get; set; }

        [Column("SUBDEBIT_NAME")]
        public string SubDebitName { get; set; }

        [Column("CREDIT_PRICE")]
        public int? CreditPrice { get; set; }

        [Column("CREDIT_CODE")]
        public int? CreditCode { get; set; }

        [Column("CREDIT_NAME")]
        public string CreditName { get; set; }

        [Column("SUBCREDIT_CODE")]
        public int? SubCreditCode { get; set; }

        [Column("SUBCREDIT_NAME")]
        public string SubCreditName { get; set; }

        [Column("EXPLANATION")]
        public string Explanation { get; set; }

        [Column("IS_TRACKED")]
        public bool? IsTracked { get; set; }

    }
}
